# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, lib, inputs, ... }:

{
  imports =
    [ # Include the results of the hardware scan.
      ../types/server.nix
      ../modules/k3s-witness.nix
    ];
  config = lib.mkMerge [
    {
      networking = {
        interfaces.br0.ipv4.addresses = [ { address = "172.16.1.250"; prefixLength = 12; } ];
	bridges.br0 = { interfaces = ["ens3"]; };
      };
    }
  ];
}
